// Set cookie with v=threads
function toggleViewModeOn() {
    Cookies.set("threads", "on", {expires: 365});
}

// Remove cookie with v=threads
function toggleViewModeOff() {
    Cookies.set("threads", "off", {expires: 365});
}

function toggleViewMode() {
    if (checkViewMode()) {
        toggleViewModeOff();
        location.reload();
    } else {
        toggleViewModeOn();
        location.reload();
    }
}

// Check view mode
function checkViewMode() {
    if (Cookies.get("threads") && Cookies.get("threads") == "on") {
        console.log('THREADS ON');
        return true
    } else {
        console.log('NORMAL');
        return false
    }
}
